package com.wall.photography.wallpaper.activivty

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.wall.photography.wallpaper.R
import com.wall.photography.wallpaper.databinding.ActivityPrivacyBinding
import com.wall.photography.wallpaper.topon.AdManager


class PrivacyActivity : AppCompatActivity() {

    private lateinit var vb: ActivityPrivacyBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        AdManager.loadAllAd()
        vb = ActivityPrivacyBinding.inflate(layoutInflater)
        setContentView(vb.root)
        vb.webView.loadUrl("file:///android_asset/privacy.html")
        vb.back.setOnClickListener {
            AdManager.showTopOn(this@PrivacyActivity) {
                finish()
            }
        }

    }

    override fun onBackPressed() {
        super.onBackPressed()
        AdManager.showTopOn(this@PrivacyActivity) {

        }
    }
}